﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Configuration;
using GWN.Contrib.Unity.Interfaces;
using GWN.Contrib.Unity.Configuration;
using GWN.Contrib.Unity.Menu;

namespace GWN.Contrib.CAG.Extensions
{
    /// <summary>
    /// <remarks>
    /// 2010.03.06.UC0000.020: V1.0.0.0
    /// </remarks>
    /// System Configuration Extensions - intended for methods / processes
    /// that need to be consistent regardless of implementation, i.e.,
    /// we don't rely on the developers implementation of ISystemConfiguration
    /// to return menu information as the infratructure relies on it.
    /// </summary>
    public static class SystemConfigurationExtensions
    {
        /// <summary>
        /// Gets the menu section.  We use an extension class for 
        /// ISystemConfiguration to prevent dependency on implementation
        /// </summary>
        /// <param name="sysConfig">The sys config.</param>
        /// <param name="menuSectionName">Name of the menu section.</param>
        /// <returns></returns>
        public static MenuConfigSection GetMenuSection(
            this ISystemConfiguration sysConfig,
            string menuSectionName)
        {
            MenuConfigSection menuSection = (MenuConfigSection)ConfigurationManager.GetSection(
                string.Format("mainMenu/{0}", menuSectionName.ToLower()));

            return menuSection;
        }
    }
}
