﻿
using System;
using System.ComponentModel.Composition;

namespace GWN.Contrib.MEF.Base
{

	/// <summary>
    /// <remarks>
    /// 2010.03.06.UC0000.020: V1.0.0.0
    /// </remarks>
	/// Module Meta data
	/// </summary>
	public interface IModuleMetadata
	{
		/// <summary>
		/// Gets the name.
		/// </summary>
		/// <value>The name.</value>
		string Name { get; }
	}

	/// <summary>
	/// 
	/// </summary>
	[MetadataAttribute]
	public sealed class ModuleMetadata : Attribute
	{
		/// <summary>
		/// Gets or sets the name.
		/// </summary>
		/// <value>The name.</value>
		public string Name { get; set; }

		/// <summary>
		/// Initializes a new instance of the <see cref="ModuleMetadata"/> class.
		/// </summary>
		public ModuleMetadata()
		{
			Name = "Default Name";
		}
	}
}
