﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Unity;
using GWN.Contrib.Unity.Interfaces;
using Microsoft.Practices.Composite.Logging;
using GWN.Contrib.Unity.Configuration;

namespace GWN.Contrib.Unity.Entities
{
    /// <summary>
    /// <remarks>
    /// 2010.03.06.UC0000.020: V1.0.0.0
    /// </remarks>
    /// Byte Helper 
    /// </summary>
    public class ByteHelper
    {
        /// <summary>
        /// Gets the container.
        /// </summary>
        /// <value>The container.</value>
        private static IUnityContainer Container { get { return DefaultSysConfig.Container; } }

        /// <summary>
        /// Gets or sets the error.
        /// </summary>
        /// <value>The error.</value>
        [Dependency]
        public IError Error { get; set; }

        /// <summary>
        /// Gets or sets the logger.
        /// </summary>
        /// <value>The logger.</value>
        [Dependency]
        public ILoggerFacade Logger { get; set; }

        private static ByteHelper _instance;
        /// <summary>
        /// Gets the instance.
        /// </summary>
        /// <value>The instance.</value>
        public static ByteHelper Instance
        {
            get
            {
                if (_instance == null)
                    _instance = Container.Resolve<ByteHelper>();
                return _instance;
            }
        }


        /// <summary>
        /// UTs the f8 byte array to string.
        /// </summary>
        /// <param name="characters">The characters.</param>
        /// <returns></returns>
        public String UTF8ByteArrayToString(Byte[] characters)
        {
            UTF8Encoding encoding = new UTF8Encoding();
            return encoding.GetString(characters, 0, characters.Length);
        }

        /// <summary>
        /// Strings to UT f8 byte array.
        /// </summary>
        /// <param name="pXmlString">The p XML string.</param>
        /// <returns></returns>
        public Byte[] StringToUTF8ByteArray(String pXmlString)
        {
            UTF8Encoding encoding = new UTF8Encoding();
            Byte[] byteArray = encoding.GetBytes(pXmlString);
            return byteArray;
        }
    }
}
