﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace GWN.Contrib.Unity.Entities
{
    /// <summary>
    /// <remarks>
    /// 2010.03.06.UC0000.020: V1.0.0.0 
    /// </remarks>
    /// Key Value Data
    /// </summary>
    [Serializable]
    public class KeyValueData
    {
        /// <summary>
        /// Gets or sets the key.
        /// </summary>
        /// <value>The key.</value>
        public string Key { get; set; }

        /// <summary>
        /// Gets or sets the value.
        /// </summary>
        /// <value>The value.</value>
        public string Value { get; set; }

        /// <summary>
        /// Initializes a new instance of the <see cref="KeyValueData"/> class.
        /// </summary>
        public KeyValueData() { }

        /// <summary>
        /// Initializes a new instance of the <see cref="KeyValueData"/> class.
        /// </summary>
        /// <param name="key">The key.</param>
        /// <param name="value">The value.</param>
        public KeyValueData(string key, string value)
        {
            Key = key;
            Value = value;
        }
    }
}
