﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Unity;
using System.Web;

namespace GWN.Contrib.Unity.Extensions
{
    /// <summary>
    /// <remarks>
    /// 2010.03.06.UC0000.020: V1.0.0.0 
    /// </remarks>
    /// Http application state extension
    /// </summary>
    public static class HttpApplicationStateExtensions
    {
        private const string GlobalContainerKey = "GWNUnitContainer";

        /// <summary>
        /// Gets the container.
        /// </summary>
        /// <param name="application">The application.</param>
        /// <returns></returns>
        public static IUnityContainer GetContainer(this HttpApplicationState application)
        {
            application.Lock();
            try
            {
                IUnityContainer container = application[GlobalContainerKey] as IUnityContainer;
                if (container == null)
                {
                    container = new UnityContainer();
                    application[GlobalContainerKey] = container;
                }
                return container;
            }
            finally
            {
                application.UnLock();
            }
        }
    }
}
