﻿using System.Collections.Generic;
using GWN.Contrib.Unity.Menu;
using System.Collections.Specialized;
using System.Configuration;
using System.Runtime.Serialization;
using GWN.Contrib.Unity.Entities;
using Microsoft.Practices.Unity;

namespace GWN.Contrib.Unity.Interfaces
{
    /// <summary>
    /// <remarks>
    /// 2010.03.06.UC0000.020: V1.0.0.0
    /// </remarks>
    /// Interface for System Configuration
    /// </summary>
    public interface ISystemConfiguration
    {
        /// <summary>
        /// Gets or sets the WPF menus.
        /// </summary>
        /// <value>The WPF menus.</value>
        List<MenuItem> WPFMenus { get; set; }

        /// <summary>
        /// Gets or sets the website menus.
        /// </summary>
        /// <value>The website menus.</value>
        List<MenuItem> WebsiteMenus { get; set; }

        /// <summary>
        /// Gets or sets the app settings.
        /// </summary>
        /// <value>The app settings.</value>
        List<KeyValueData> AppSettings { get; set; }

        /// <summary>
        /// Gets or sets the connection strings.
        /// </summary>
        /// <value>The connection strings.</value>
        List<KeyValueData> ConnectionStrings { get; set; }

        /// <summary>
        /// Gets or sets the version.
        /// </summary>
        /// <value>The version.</value>
        string Version { get; }

        /// <summary>
        /// Gets the app setting.
        /// </summary>
        /// <param name="key">The key.</param>
        /// <returns></returns>
        string GetAppSetting(string key);

        /// <summary>
        /// Gets the app setting.
        /// </summary>
        /// <param name="key">The key.</param>
        /// <param name="defaultValue">The default value.</param>
        /// <returns></returns>
        string GetAppSetting(string key, string defaultValue);

    }
}
