﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using GWN.Contrib.Unity.Interfaces;
using System.Diagnostics;
using System.Windows.Browser;
using Microsoft.Practices.Composite.Logging;

namespace GWN.Contrib.Unity.Logger
{
    /// <summary>
    /// <remarks>
    /// 2010.03.06.UC0000.020: V1.0.0.0
    /// </remarks>
    /// Debug Logger
    /// </summary>
    public class DefaultLogger : ILoggerFacade
    {

        /// <summary>
        /// Logs the specified message.
        /// </summary>
        /// <param name="message">The message.</param>
        /// <param name="category">The category.</param>
        /// <param name="priority">The priority.</param>
        public void Log(string message, Category category, Priority priority)
        {
            string msgCategory = string.Format("{0}({1})", category, priority);
            Debug.WriteLine(message, msgCategory);

            // Notify if High Exception
            if (category == Category.Exception && priority == Priority.High)
#if SILVERLIGHT
				HtmlPage.Window.Alert(string.Format("{0}:{1}", msgCategory,message));
#else
                Debug.Fail(string.Format("{0}:{1}", msgCategory, message));
#endif
        }

    }
}

// For compatibility - does not exist in WPF
namespace System.Windows.Browser { }
