﻿
using System.Configuration;
using System.Collections.Generic;

namespace GWN.Contrib.Unity.Menu
{
    /// <summary>
    /// <remarks>
    /// 2010.03.06.UC0000.020: V1.0.0.0
    /// </remarks>
    /// Menu Configuration
    /// </summary>
    public class MenuConfigSection : ConfigurationSection
    {

        /// <summary>
        /// Gets or sets a value indicating whether this instance is active.
        /// </summary>
        /// <value><c>true</c> if this instance is active; otherwise, <c>false</c>.</value>
        [ConfigurationProperty("isActive", DefaultValue = true, IsRequired = false)]
        public bool IsActive
        {
            get { return (bool)this["isActive"]; }
            set { this["isActive"] = value; }
        }

        /// <summary>
        /// Gets or sets the menu.
        /// </summary>
        /// <value>The menu.</value>
        [ConfigurationProperty("menu", IsRequired = true)]
        public string Menu
        {
            get { return (string)this["menu"]; }
            set { this["menu"] = value; }
        }


        /// <summary>
        /// Gets or sets the roles.
        /// </summary>
        /// <value>The roles.</value>
        [ConfigurationProperty("roles", DefaultValue = "*", IsRequired = false)]
        public string Roles
        {
            get { return (string)this["roles"]; }
            set { this["roles"] = value; }
        }

        /// <summary>
        /// Gets the menus.
        /// </summary>
        /// <value>The menus.</value>
        [ConfigurationProperty("menus", IsDefaultCollection = false)]
        public MenuElementCollection Menus
        {
            get
            {
                MenuElementCollection menuElementCollection =
                    (MenuElementCollection)base["menus"];

                return menuElementCollection;
            }
        }

        /// <summary>
        /// Gets the menu collection.
        /// </summary>
        /// <returns></returns>
        public List<MenuItem> Items
        {
            get
            {
                return Menus.Items;
            }
        }

    }
}
