﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Configuration;

namespace GWN.Contrib.Unity.Menu
{
    /// <summary>
    /// <remarks>
    /// 2010.03.06.UC0000.020: V1.0.0.0
    /// </remarks>
    /// 
    /// </summary>
    public class MenuItem
    {
        /// <summary>
        /// Gets or sets a value indicating whether this instance is active.
        /// </summary>
        /// <value><c>true</c> if this instance is active; otherwise, <c>false</c>.</value>
        public bool IsActive { get; set; }

        /// <summary>
        /// Gets or sets the menu.
        /// </summary>
        /// <value>The menu.</value>
        public string Menu { get; set; }

        /// <summary>
        /// Gets or sets the menu parent.
        /// </summary>
        /// <value>The menu parent.</value>
        public string MenuParent { get; set; }

        /// <summary>
        /// Gets or sets the link text.
        /// </summary>
        /// <value>The link text.</value>
        public string LinkText { get; set; }

        /// <summary>
        /// Gets or sets the name of the action.
        /// </summary>
        /// <value>The name of the action.</value>
        public string ActionName { get; set; }

        /// <summary>
        /// Gets or sets the name of the controller.
        /// </summary>
        /// <value>The name of the controller.</value>
        public string ControllerName { get; set; }

        /// <summary>
        /// Gets or sets the roles.
        /// </summary>
        /// <value>The roles.</value>
        public string Roles { get; set; }


        /// <summary>
        /// Initializes a new instance of the <see cref="MenuItem"/> class.
        /// </summary>
        /// <param name="menuParent">The menu parent.</param>
        /// <param name="menu">The menu.</param>
        /// <param name="linkText">The link text.</param>
        /// <param name="actionName">Name of the action.</param>
        /// <param name="controllerName">Name of the controller.</param>
        /// <param name="roles">The roles.</param>
        /// <param name="isActive">if set to <c>true</c> [is active].</param>
        public MenuItem(
            string menuParent,
            string menu,
            string linkText,
            string actionName,
            string controllerName,
            string roles,
            bool isActive)
        {
            IsActive = isActive;
            Menu = menu;
            MenuParent = menuParent;
            LinkText = linkText;
            ActionName = actionName;
            ControllerName = controllerName;
            Roles = roles;
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="MenuItem"/> class.
        /// </summary>
        public MenuItem() { }
    }
}
