﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Composite.Modularity;

namespace GWN.Contrib.Unity.Strategy
{
	/// <summary>
    /// <remarks>
    /// 2010.03.06.UC0000.020: V1.0.0.0
    /// </remarks>
	/// Data for MEF Strategy - holds ModuleList processed
	/// by MEF in the AppBootstrapper
	/// </summary>
	public class MEFStrategyData : IMEFStrategyData
	{
		/// <summary>
		/// Initializes a new instance of the <see cref="MEFStrategyData"/> class.
		/// </summary>
		public MEFStrategyData()
		{
			ModuleList = new List<IModule>();
		}

		/// <summary>
		/// Gets or sets the module list.
		/// </summary>
		/// <value>The module list.</value>
		public List<IModule> ModuleList { get; set; }

	}
}
