﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Unity;
using Microsoft.Practices.Unity.ObjectBuilder;
using Microsoft.Practices.ObjectBuilder2;
using Microsoft.Practices.Composite.Modularity;

namespace GWN.Contrib.Unity.Strategy
{
	/// <summary>
    /// <remarks>
    /// 2010.03.06.UC0000.020: V1.0.0.0
    /// </remarks>
	/// MEF strategy extension
	/// </summary>
	public class MEFStrategyExtension : UnityContainerExtension
	{
		/// <summary>
		/// Initializes this instance.
		/// </summary>
		protected override void Initialize()
		{
			// Create a policy for the MEFStrategy.  We'll send
			// it a reference to the container so that it can
			// be used to retrieve the MEF module list (set in
			// AppBootstrapper).
			Context.Policies
				.Set<IMEFStrategyPolicy>(
					new MEFStrategyPolicy(Container), 
					new NamedTypeBuildKey(typeof(IModule),"Module"));

			// Add the strategy for processing on PreCreation
			Context.Strategies.AddNew<MEFStrategy>(UnityBuildStage.PreCreation);
		}
	}
}
