﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading;
using System.Text;
using System.Globalization;

namespace Microsoft.Internal
{
    internal static class BeLazyServices
    {
        public static BeLazy<T> AsBeLazy<T>(this T t)
            where T : class
        {
            return new BeLazy<T>(() => t, false);
        }

        public static T GetNotNullValue<T>(this BeLazy<T> BeLazy, string argument)
            where T : class
        {
            Assumes.NotNull(BeLazy);
            T value = BeLazy.Value;
            if (value == null)
            {
                throw new InvalidOperationException(
                    string.Format(CultureInfo.CurrentCulture, Strings.BeLazyServices_BeLazyResolvesToNull, typeof(T), argument));
            }

            return value;
        }
    }
}
