﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Composite.Regions;
using Microsoft.Practices.Unity;
using GWN.Contrib.CAG.Base;
using Library.Module.Main.Views.MainRegion;
using Library.Module.Main.Views.Menu;
using Library.Module.Main.Views.Status;

namespace Library.Module.Main
{
	public class ModuleMain : ModuleBase
	{
		public ModuleMain(IUnityContainer container) : base(container) { }

		public override void OnRegisterTypes()
		{
			Container
				.RegisterType<IMainRegionView, MainRegionView>()
				.RegisterType<IMenuView, MenuView>()
				.RegisterType<IStatusView, StatusView>()
				;
		}

		public override void OnRegisterViews()
		{
			RegionManager.RegisterViewWithRegion("MainRegion",
				() => Container.Resolve<MainRegionViewMVP>().View);

			RegionManager.RegisterViewWithRegion("MainMenuRegion",
				() => Container.Resolve<MenuViewMVP>().View);

			RegionManager.RegisterViewWithRegion("MainStatusRegion",
				() => Container.Resolve<StatusViewMVP>().View);
		}
	
	}
}
